# $Revision: 1.18 $, $Date: 2011/10/26 13:23:10 $
Summary:	JSON-GLib - a library providing serialization and deserialization support for the JSON format
Summary(pl.UTF-8):	JSON-GLib - biblioteka zapewniająca serializację i deserializację dla formatu JSON
Name:		json-glib
Version:	0.14.2
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/json-glib/0.14/%{name}-%{version}.tar.xz
# Source0-md5:	2a22832c4654156a35b38ee027f6f065
URL:		http://live.gnome.org/JsonGlib
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel >= 0.18
BuildRequires:	glib2-devel >= 1:2.26.0
BuildRequires:	gobject-introspection-devel >= 0.9.5
BuildRequires:	gtk-doc >= 1.13
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
JSON-GLib is a library providing serialization and deserialization
support for the JavaScript Object Notation (JSON) format described by
RFC 4627.

%description -l pl.UTF-8
JSON-GLib to biblioteka zapewniająca obsługę serializacji i
deserializacji dla formatu JSON (JavaScript Object Notation) opisanego
w RFC 4627.

%package devel
Summary:	Header files for the json-glib library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki json-glib
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.26.0

%description devel
Header files for the json-glib library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki json-glib.

%package apidocs
Summary:	json-glib API documentation
Summary(pl.UTF-8):	Dokumentacja API json-glib
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
json-glib API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API json-glib.

%prep
%setup -q

%build
%{__gtkdocize}
%{__libtoolize}
%{__aclocal} -I build/autotools
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir} \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libjson-glib-1.0.la

%find_lang %{name}-1.0

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}-1.0.lang
%defattr(644,root,root,755)
%doc ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libjson-glib-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libjson-glib-1.0.so.0
%{_libdir}/girepository-1.0/Json-1.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libjson-glib-1.0.so
%{_datadir}/gir-1.0/Json-1.0.gir
%{_includedir}/json-glib-1.0
%{_pkgconfigdir}/json-glib-1.0.pc

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/json-glib

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: json-glib.spec,v $
Revision 1.18  2011/10/26 13:23:10  megabajt
- updated to 0.14.2

Revision 1.17  2011/10/01 06:19:54  qboosh
- package locales
- release 2

Revision 1.16  2011/09/28 21:04:01  wiget
- up to 0.14.0

Revision 1.15.2.2  2011/09/19 17:55:47  megabajt
- updated to 0.14.0

Revision 1.15.2.1  2011/09/15 08:42:44  wiget
- up to 0.13.90
- drop libtool file

Revision 1.15  2011/06/18 07:30:48  qboosh
- updated to 0.12.6

Revision 1.14  2011/04/12 14:44:48  wiget
- up to 0.12.4

Revision 1.13  2011/01/10 11:57:50  caleb
- Up to 0.12.2

Revision 1.12  2011/01/02 15:52:51  qboosh
- pl

Revision 1.11  2010/09/26 17:50:20  megabajt
- updated to 0.12.0

Revision 1.10  2010/09/25 13:48:59  patrys
- rebuild with new gir format
- rel 2

Revision 1.9  2010/07/13 09:24:11  patrys
- rebuild with latest git
- rel 2

Revision 1.8  2010/03/19 22:31:40  megabajt
- updated to 0.10.4

Revision 1.7  2010/02/26 17:12:21  sparky
- BR: docbook-dtd412-xml, pkgconfig

Revision 1.6  2010/02/26 16:34:53  megabajt
- updated to 0.10.2

Revision 1.5  2009/12/18 20:21:03  megabajt
- updated to 0.8.2

Revision 1.4  2008/06/23 13:02:37  patrys
- forgot to add ldconfig
- rel 3

Revision 1.3  2008/06/23 12:57:41  patrys
- get rid of moving docs around
- rel 2

Revision 1.2  2008/06/21 14:44:18  patrys
- adapterized

Revision 1.1  2008/06/21 14:43:19  patrys
- initial PLD release
